cascading.tap.hadoop.util

## Class MeasuredOutputCollector

- java.lang.Object
- - cascading.tap.hadoop.util.MeasuredOutputCollector

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable, org.apache.hadoop.mapred.OutputCollector

      public class MeasuredOutputCollector
      extends Object
      implements org.apache.hadoop.mapred.OutputCollector, Flushable, Closeable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MeasuredOutputCollector(FlowProcess flowProcess, Enum counter)`
    `MeasuredOutputCollector(FlowProcess flowProcess, Enum counter, org.apache.hadoop.mapred.OutputCollector outputCollector)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `collect(Object key, Object value)`
    `void` | `flush()`
    `org.apache.hadoop.mapred.OutputCollector` | `getOutputCollector()`
    `void` | `setOutputCollector(org.apache.hadoop.mapred.OutputCollector outputCollector)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MeasuredOutputCollector

          public MeasuredOutputCollector(FlowProcess flowProcess,
                                 Enum counter)

    - #### MeasuredOutputCollector

          public MeasuredOutputCollector(FlowProcess flowProcess,
                                 Enum counter,
                                 org.apache.hadoop.mapred.OutputCollector outputCollector)

  - ### Method Detail

    - #### getOutputCollector

          public org.apache.hadoop.mapred.OutputCollector getOutputCollector()

    - #### setOutputCollector

          public void setOutputCollector(org.apache.hadoop.mapred.OutputCollector outputCollector)

    - #### collect

          public void collect(Object key,
                     Object value)
                       throws IOException

      Specified by:
        `collect` in interface `org.apache.hadoop.mapred.OutputCollector`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.